io.milvus.param.collection

## Class RenameCollectionParam.Builder

- java.lang.Object
- - io.milvus.param.collection.RenameCollectionParam.Builder

Enclosing class:
  RenameCollectionParam

    public static final class RenameCollectionParam.Builder
    extends java.lang.Object

Builder for `RenameCollectionParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`RenameCollectionParam` `build()` Verifies parameters and creates a new `RenameCollectionParam` instance.
`RenameCollectionParam.Builder` `withNewCollectionName(@NonNull java.lang.String newCollectionName)` Sets the new collection name.
`RenameCollectionParam.Builder` `withNewDatabaseName(java.lang.String databaseName)` Sets the old database name.
`RenameCollectionParam.Builder` `withOldCollectionName(@NonNull java.lang.String oldCollectionName)` Sets the old collection name.
`RenameCollectionParam.Builder` `withOldDatabaseName(java.lang.String databaseName)` Sets the old database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withOldDatabaseName

    public RenameCollectionParam.Builder withOldDatabaseName(java.lang.String databaseName)

Sets the old database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withNewDatabaseName

    public RenameCollectionParam.Builder withNewDatabaseName(java.lang.String databaseName)

Sets the old database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withOldCollectionName

    public RenameCollectionParam.Builder withOldCollectionName(@NonNull
                                                               @NonNull java.lang.String oldCollectionName)

Sets the old collection name. Old collection name cannot be empty or null.

Parameters:
  `oldCollectionName` - old collection name
Returns:
  `Builder`

#### withNewCollectionName

    public RenameCollectionParam.Builder withNewCollectionName(@NonNull
                                                               @NonNull java.lang.String newCollectionName)

Sets the new collection name. New collection name cannot be empty or null.

Parameters:
  `newCollectionName` - new collection name
Returns:
  `Builder`

#### build

    public RenameCollectionParam build()
                                throws ParamException

Verifies parameters and creates a new `RenameCollectionParam` instance.

Returns:
  `RenameCollectionParam`
Throws:
  `ParamException`